const express = require("express");
const getHandler = require('../src/handler');

let router = express.Router();

router.route("/:nodeid/?").get((req, res) => {

  let param = req.params.nodeid;
  let handler = getHandler(param);
  handler(req, res);

});

router.route("/:nodeid/:resource").get((req, res) => {

  let param = req.params.resource;
  let handler = getHandler(param);
  handler(req, res);

});

router.route("/:nodeid/:resource/0").get((req, res) => {

  let param = req.params.resource;
  let handler = getHandler(param);
  handler(req, res);

});

router.route("/:nodeid/:resource/:resourceid/0").get((req, res) => {

  let param = req.params.resource;
  let handler = getHandler(param);
  handler(req, res);

});

router.route("*").get((req, res) => {

  res.sendStatus(404);
  res.end();

});

module.exports = router;